Summary:	An Enum that inherits from str
Summary(pl.UTF-8):	Enum dziedziczący ze str
Name:		python3-StrEnum
Version:	0.4.15
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/StrEnum/
Source0:	https://files.pythonhosted.org/packages/source/S/StrEnum/StrEnum-%{version}.tar.gz
# Source0-md5:	aa5e934c299dac8731c6db4008deab4d
URL:		https://pypi.org/project/StrEnum/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-pytest-runner
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
StrEnum is a Python enum.Enum that inherits from str to complement
enum.IntEnum in the standard library. Supports Python 3.7+ (included
in Python 3.11 standard library).

%description -l pl.UTF-8
StrEnum to pythonowy enum.Enum dziedziczący ze str, aby uzupełnić
enum.IntEnum z biblioteki standardowej. Obsługuje Pythona 3.7+
(został włączony do biblioteki standardowej Pythona 3.11).

%prep
%setup -q -n StrEnum-%{version}

sed -i -e 's#SafeConfigParser#ConfigParser#g' -e 's#readfp#read_file#g' versioneer.py

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%{py3_sitescriptdir}/strenum
%{py3_sitescriptdir}/StrEnum-%{version}-py*.egg-info
%changelog
* Sat May 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-StrEnum.git;a=log;h=master

* Sat May 24 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> ac1e9d5
- Rel 4; builds now

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ac531f7
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 9300a16
- python 3.13 rebuild

* Sat Jun 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 550e005
- new

